package com.mmc.pms.dao;

import com.mmc.pms.entity.AdDO;
import com.mmc.pms.entity.GoodsInfoDO;
import com.mmc.pms.entity.ProductCategory;
import com.mmc.pms.model.qo.GoodsInfoQO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author small @Date 2023/5/15 20:11 @Version 1.0
 */
@Mapper
public interface WebProductMallDao {

  List<ProductCategory> productCategory();

  List<ProductCategory> productParts();

  List<ProductCategory> productQuality();

  int countListGoodsInfo(GoodsInfoQO param);

  List<GoodsInfoDO> listGoodsInfo(GoodsInfoQO param);

  Integer findProduct(Integer id);

    List<AdDO> ad();
}
